You are viewing a plain text version of this content. The canonical link for it is here.
Posted to notifications@apisix.apache.org by sp...@apache.org on 2022/08/15 09:25:48 UTC

[apisix] branch master updated: fix: remove the restriction of etcd prefix (#7675)

This is an automated email from the ASF dual-hosted git repository.

spacewander pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/apisix.git


The following commit(s) were added to refs/heads/master by this push:
     new c4d5f2fca fix: remove the restriction of etcd prefix (#7675)
c4d5f2fca is described below

commit c4d5f2fca5b9ef98b551c769e2b1565185ed9630
Author: 罗泽轩 <sp...@gmail.com>
AuthorDate: Mon Aug 15 17:25:41 2022 +0800

    fix: remove the restriction of etcd prefix (#7675)
---
 apisix/cli/schema.lua         |  1 -
 t/cli/test_validate_config.sh | 13 -------------
 2 files changed, 14 deletions(-)

diff --git a/apisix/cli/schema.lua b/apisix/cli/schema.lua
index fa76326a9..8c38a305f 100644
--- a/apisix/cli/schema.lua
+++ b/apisix/cli/schema.lua
@@ -47,7 +47,6 @@ local etcd_schema = {
         },
         prefix = {
             type = "string",
-            pattern = [[^/[^/]+$]]
         },
         host = {
             type = "array",
diff --git a/t/cli/test_validate_config.sh b/t/cli/test_validate_config.sh
index 216f1d9fb..1a7b0c3be 100755
--- a/t/cli/test_validate_config.sh
+++ b/t/cli/test_validate_config.sh
@@ -215,17 +215,4 @@ if ! echo "$out" | grep 'property "host" validation failed'; then
     exit 1
 fi
 
-echo '
-etcd:
-    prefix: "/apisix/"
-    host:
-        - https://127.0.0.1
-' > conf/config.yaml
-
-out=$(make init 2>&1 || true)
-if ! echo "$out" | grep 'property "prefix" validation failed'; then
-    echo "failed: should check etcd schema during init"
-    exit 1
-fi
-
 echo "passed: check etcd schema during init"